%define module_name Config-From
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Hash/Merge.pm) perl(Module/Load.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/MarkAsMethods.pm) perl(MooseX/NonMoose.pm) perl(Pod/Coverage/TrustPod.pm) perl(SQL/Translator.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Merges configurations from different sources
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Config::From;

    my $bckfile = Config::From::Backend::File->new(file => 't/conf/file1.yml');
    my $bckdbix = Config::From::Backend::DBIx->new(schema => $schema, table => 'Config');

    my $config = Config::From->new( backends => [ $bckfile, $bckdbix] )->config;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%changelog
* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

